// src/index.php
<?php

$gw = "Unknown";

// Get the Docker host IP from the routing table
$table = file("/proc/net/route");
foreach ($table as $row) {
    // Split the fields out of the routing table
    $fields = preg_split("/[\t ]+/", trim($row));
    
    // Skip this route if it's not the default gateway
    if ($fields[1] != "00000000") continue;

    // Convert the hex gateway IP to dotted-notation
    $gw_hex = $fields[2];
    $gw_rev = long2ip(hexdec("0x$gw_hex"));
    $gw = implode(".", array_reverse(explode(".", $gw_rev)));
    break;
}

echo "Docker host IP: $gw\n";
echo "Build no: 20240223-1725\n";
?>